de.esprit.netsuite.client.tool.permission

## Class AbstractPermOwnerListModel

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel<E>
    - - de.esprit.common.gui.ZListModel<T>
      - - de.esprit.netsuite.client.gui.ClientZListModel<ClientContext,EspritPermissionOwner>
        - - de.esprit.netsuite.client.tool.permission.AbstractPermOwnerListModel

- All Implemented Interfaces:
    ClientObject<ClientContext>, java.io.Serializable, javax.swing.ListModel<EspritPermissionOwner>
  Direct Known Subclasses:
    PermGroupListModel, PermUserListModel

      public abstract class AbstractPermOwnerListModel
      extends ClientZListModel<ClientContext,EspritPermissionOwner>

  This class...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPermOwnerListModel(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `loadFor(PermissionDefinition selectedPermDef)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.ClientZListModel

      `getClientContext`

    - ### Methods inherited from class de.esprit.common.gui.ZListModel

      `addItem, addItem, addItems, addItems, clear, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllItems, getComparator, getElementAt, getFirstItem, getItem, getItem, getItemCount, getLastItem, getModifyFlag, isModified, isNumb, isSortAscending, load, loadFrom, loadFrom, removeItem, removeItem, replaceItem, replaceOrAddItem, setComparator, setItem, setModified, setModifyFlag, setNumb, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPermOwnerListModel

          public AbstractPermOwnerListModel(ClientContext clientCtx)

  - ### Method Detail

    - #### loadFor

          public abstract void loadFor(PermissionDefinition selectedPermDef)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.